Ruby-GNOME2 0.9.0 released
Posted on: 03/08/2004 04:58 AM

Ruby-GNOME2-0.9.0 is out.


* Added Ruby/ATK

Ruby/ATK is a ruby binding of ATK. ATK is the Accessibility Toolkit. It provides a set of generic interfaces allowing accessibility technologies such as screen readers to interact with a graphical user interface. It is available from

* Support ruby-1.8.1 or later.

* Ruby/Libgda requires libgda-1.1.1 (

* Fix a compilation problem on Cygwin with ruby-1.8.1 or later.

* Improved, fixed many bugs, some classes/methods were added.

* Some methods were deprecated. They will be removed for 1.0.0.
You can find them using the -d option if your script use them.

$ ruby -d hoge.rb

* Ruby/GStreamer tutorial is now available on our Website.
#Now, is down for maintenance.

* A sample for Ruby/GtkGLExt is now available on our Website.
#Now, is down for maintenance.


* ruby-gtk2
The minimum package for Ruby/GTK, which includes
Ruby/GLib2, Ruby/ATK, Ruby/GdkPixbuf2, Ruby/Pango, Ruby/GTK2.

* ruby-gstreamer
The minimum package for Ruby/GStreamer, which includes
Ruby/GLib2, Ruby/GStreamer.

* ruby-gnome2
Includes all Ruby-GNOME2 libraries.

What's Ruby-GNOME2?

Ruby-GNOME2 is a set of Ruby language bindings for the GNOME 2.x
development environment.

Supported libraries are:

* Ruby/GLib2
* Ruby/ATK [NEW]
* Ruby/GdkPixbuf2
* Ruby/Pango
* Ruby/GTK2
* Ruby/GNOME2
* Ruby/GnomeCanvas2
* Ruby/Libart2
* Ruby/Libglade2
* Ruby/GConf2
* Ruby/GnomeVFS
* Ruby/GStreamer
* Ruby/GtkHtml2
* Ruby/GtkGLExt
* Ruby/Libgda

- Mailing lists

- #ruby-gnome2 (IRC)

- Project website
Just now, is down for maintenance.

- Ruby-GNOME2 API Reference

- Tutorials

* Ruby/GStreamer Tutorial [NEW]
* Ruby/Libgda Tutorial
* Ruby/GTK2 TreeView Tutorial


- Samples

Logo for Ruby/GtkGLExt [NEW]

- gtk+-2.2 binary package for cygwin

- GTK+ for Windows

- Other resources

Printed from Linux Compatible (